For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
      • Batches
      • Exporting Batch Data
      • Collections
      • Exporting Collection Data
      • Datasets
      • Instructions
      • GETList Batches
      • POSTCreate a Batch
      • GETGet a Batch
      • PATCHUpdate a Batch
      • GETGet Batch Status
      • POSTSetup a Batch
      • GETGet Batch Responses
      • GETGet Batch Report
      • POSTDuplicate a Batch
      • POSTRequest a Batch Export
      • GETGet Batch Export Status
      • POSTCreate a Dataset
      • GETGet Dataset Upload URL
      • GETGet Dataset Status
      • GETGet Batch Instructions
      • POSTCreate Batch Instructions
      • PUTUpdate Batch Instructions
      • GETList Collections
      • POSTCreate a Collection
      • GETGet a Collection
      • PUTUpdate a Collection
      • GETGet Collection Responses
      • POSTRequest a Collection Export
      • GETGet Collection Export Status
    • Studies
    • Representative sample studies
    • study-collections
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceAI Task Builder

Get Dataset Status

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/data-collection/datasets/:dataset_id/status
GET
/api/v1/data-collection/datasets/:dataset_id/status
$curl https://api.prolific.com/api/v1/data-collection/datasets/5f7b5e9a-3f3c-4b3e-8f1a-1a2b3c4d5e6f/status \
> -H "Authorization: Token <token>"
1{
2 "status": "UNINITIALISED"
3}
Get status for AI Task Builder dataset.
Was this page helpful?
Previous

Get Dataset Upload URL

Next

Get Batch Instructions

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

dataset_idstringRequired
The unique identifier of the AI Task Builder dataset

Response

OK
statusenum

The status of the Dataset - one of ‘UNINITIALISED’, ‘PROCESSING’, ‘READY’, ‘ERROR’

Allowed values:

Errors

4XX
Client Request Error